Browse Source

Benchmark script - as requested by Keradus

Unix-only
C Cirello 10 years ago
parent
commit
8b0ba962a1
1 changed files with 26 additions and 0 deletions
  1. 26 0
      benchmark.sh

+ 26 - 0
benchmark.sh

@@ -0,0 +1,26 @@
+#!/bin/bash
+
+command -v php >/dev/null 2>&1 || { echo "I require `php` but it's not available. Aborting." >&2; exit 255; }
+command -v grep >/dev/null 2>&1 || { echo "I require `grep` but it's not available. Aborting." >&2; exit 255; }
+command -v awk >/dev/null 2>&1 || { echo "I require `awk` but it's not available. Aborting." >&2; exit 255; }
+
+if [ "" == "$1" ] || [ "" == "$2" ];
+then
+    echo "Usage: bash benchmark.sh BRANCH1 BRANCH2 ...BRANCHN"
+    exit 1;
+fi
+
+for BRANCH in $@
+do
+    git checkout $BRANCH &> /dev/null &&
+    git reset --hard &> /dev/null &&
+    echo -n $BRANCH
+    (for i in {1..10}; do php php-cs-fixer fix . ; done) | grep -i fixed | awk '
+    {
+        total += $5;
+        ++count;
+    }
+    END {
+        print " mean:" (total/count) " total:" total " rounds:" count
+    }'
+done